6.0.0-git
2019-04-25

[#135] Nag tasks cause fatal errors
Summary Nag tasks cause fatal errors
Queue Kronolith
Queue Version HEAD
Type Bug
State Resolved
Priority 2. Medium
Owners
Requester horde (at) greatdomainname (dot) net
Created 2004-04-28 (5475 days ago)
Due
Updated 2011-07-12 (2844 days ago)
Assigned
Resolved 2004-04-28 (5475 days ago)
Milestone
Patch No

History
2004-04-30 13:03:53 horde (at) greatdomainname (dot) net Comment #3 Reply to this comment
Kronolith and Nag were both updated via CVS prior to the ticket being 
opened. Although it was only three weeks old at most, I've just 
updated my entire installation via CVS, and the fault persists.
2004-04-28 19:53:27 Chuck Hagenbuch Comment #2
State ⇒ Resolved
Reply to this comment
This was fixed in the last month or two. Update.
2004-04-28 09:52:49 horde (at) greatdomainname (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Queue ⇒ Kronolith
Reply to this comment
A due task from nag causes errors where it is meant to display, and 
stops the rendering of the page. This happens in all usual views, and 
Block/summary.php.



It looks to me like it fails to retrieve a proper category color, then 
also fails in the getLink function in Driver.php because the tasks 
don't belong to a calendar.



Could the "Nag Tasks" section of Kronolith be made to turn the nag 
tasks into a full dummy calendar? This could then allow the dummy to 
appear in the prefs to have colors set against categories, and should 
resolve the later errors.



The errors I have from month.php are in order:



Warning: Illegal offset type in 
/var/www/html/horde/kronolith/month.php on line 129



Warning: Illegal offset type in 
/var/www/html/horde/kronolith/lib/Driver.php on line 1692



Fatal error: Call to a member function on a non-object in 
/var/www/html/horde/kronolith/lib/Driver.php on line 1694



The first line corresponds with the line that starts "$categoryColor = 
isset" in each case, and the second and third errors are consistent 
throughout.

Saved Queries